#!/usr/bin/env bash

# Inspired from https://stackoverflow.com/a/25042323/5300212
# How to run e2e test after serving the app

# Start the web app
npm start &
NG_SERVE_PID=$!

# Wait for http response 200 on port 4200
response=0
while [ "$response" != "200" ]; do
    response=$(curl --connect-timeout 5 --write-out '%{http_code}' --silent --output /dev/null 127.0.0.1:4200 || echo 0)
    sleep 5;
done

echo "**************************************************************************"
echo "If something goes wrong, use 'pkill ng', to kill the server"
echo "**************************************************************************"

# Run wdio
npm run e2equick

# Cleanup daemon processes
pkill ng
